module.exports = {
  'rules': {
    'no-cond-assign': ['error'],
    'no-constant-condition': ['error'],
    'no-control-regex': ['error'],
    'no-dupe-args': ['error'],
    'no-dupe-keys': ['error'],
    'no-duplicate-case': ['error'],
    'no-empty-character-class': ['error'],
    'no-empty': ['error'],
    'no-ex-assign': ['error'],
    'no-extra-boolean-cast': ['error'],
    'no-extra-parens': ['error'],
    'no-extra-semi': ['error'],
    'no-func-assign': ['error'],
    'no-inner-declarations': ['error'],
    'no-invalid-regexp': ['error'],
    'no-irregular-whitespace': ['error'],
    'no-obj-calls': ['error'],
    'no-regex-spaces': ['error'],
    'no-sparse-arrays': ['error'],
    'no-unexpected-multiline': ['error'],
    'no-unreachable': ['error'],
    'no-unsafe-finally': ['error'],
    'no-unsafe-negation': ['error'],
    'use-isnan': ['error'],
    'valid-typeof': ['error'],
    'consistent-return': ['error'],
    'curly': ['error'],
    'default-case': ['error'],
    'dot-location': ['error', 'property'],
    'dot-notation': ['error'],
    'eqeqeq': ['error'],
    'guard-for-in': ['error'],
    'no-caller': ['error'],
    'no-case-declarations': ['error'],
    'no-div-regex': ['error'],
    'no-empty-pattern': ['error'],
    'no-eval': ['error'],
    'no-extra-bind': ['error', ],
    'no-fallthrough': ['error'],
    'no-floating-decimal': ['error'],
    'no-implied-eval': ['error'],
    'no-lone-blocks': ['error'],
    'no-multi-spaces': ['error'],
    'no-new': ['error'],
    'no-octal': ['error'],
    'no-proto': ['error'],
    'no-redeclare': ['error'],
    'no-return-assign': ['error'],
    'no-self-assign': ['error'],
    'no-throw-literal': ['error'],
    'no-unused-labels': ['error'],
    'wrap-iife': ['error'],
    'yoda': ['error'],
    'no-delete-var': ['error'],
    'no-undef': ['error'],
    'no-unused-vars': ['error'],
    'array-bracket-spacing': ['error', 'never'],
    'block-spacing': ['error', 'always'],
    'brace-style': ['error'],
    'camelcase': ['error'],
    'comma-dangle': ['error', 'never'],
    'comma-spacing': ['error', {
      'before': false,
      'after': true
    }],
    'comma-style': ['error', 'first', {
      'exceptions': {
        'ArrayExpression': true,
        'ObjectExpression': true
      }
    }],
    'computed-property-spacing': ['error', 'never'],
    'func-call-spacing': ['error', 'never'],
    'indent': ['error', 2],
    'jsx-quotes': ['error', 'prefer-double'],
    'key-spacing': ['error', {
      'beforeColon': false,
      'afterColon': true
    }],
    'keyword-spacing': ['error', {
      'overrides': {
        'if': {
          'after': false
        },
        'for': {
          'after': false
        },
        'while': {
          'after': false
        }
      }
    }],
    'max-len': ['error', 80],
    'no-mixed-spaces-and-tabs': ['error'],
    'no-whitespace-before-property': ['error'],
    'semi-spacing': ['error', {
      'before': false,
      'after': true
    }],
    'semi': ['error', 'never'],
    'constructor-super': ['error'],
    'generator-star-spacing': ['error', ],
    'no-class-assign': ['error'],
    'no-const-assign': ['error'],
    'no-dupe-class-members': ['error'],
    'no-duplicate-imports': ['error'],
    'no-new-symbol': ['error'],
    'no-this-before-super': ['error'],
    'no-useless-rename': ['error'],
    'require-yield': ['error']
  }
}

